Update store

Update an existing store

PUT
/stores/{storeId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

storeIdstring

ID of the store

Update store input

allowSubmissions?boolean
banner?string
commissionRate?number
description?string
idstring
isPublic?boolean
logo?string
name?string
privacyPolicyUrl?string
requireApproval?boolean
termsUrl?string

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/stores/string" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "allowSubmissions": true,
  "banner": "string",
  "commissionRate": 0,
  "createdAt": "string",
  "description": "string",
  "id": "string",
  "isPublic": true,
  "logo": "string",
  "name": "string",
  "organizationId": "string",
  "privacyPolicyUrl": "string",
  "requireApproval": true,
  "termsUrl": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}